@import url('https://fonts.googleapis.com/css2?family=Space+Mono:ital,wght@0,400;0,700;1,400;1,700&display=swap');


body {
  position: relative;
  margin: 0;
  overflow: hidden;
  background: #05060f linear-gradient(0deg,rgba(216,236,248,.06),rgba(152,192,239,.06));
  
}


* {
  box-sizing: border-box;
}



  .node-label {
    font-size: 12.5px;
    opacity: 0;
    font-family: "AllianceNo1";
    font-weight: medium;
    
  }

  .node-label.group-4{
    cursor: pointer;
    pointer-events: all;
    user-select: all;
  }

  .node-label.group-4:hover{
    cursor: pointer;
    pointer-events: all;
    user-select: all;
    opacity: 1 !important;
  }
  
  .node-label span {
    display: block;
    padding: 1px 4px;
    border-radius: 50px;
    background-color: rgba(0, 0, 0, 0.4);
    transform: translateX(calc(50% + 20px));
    font-family: "AllianceNo1";
    font-weight: medium;
  }

  .node-label.selected {
    opacity: 1 !important;
    cursor: pointer;
    pointer-events: all;
    user-select: all;
}


  /* Estilos das labels com IDs específicos */
/* Estilos específicos para node-label-2 */
.node-label-2 {
  pointer-events: all;
  font-size: 20px;
  user-select: none;
  color: #00fffc;
  font-family: "AllianceNo1";
  font-weight: bold;
  transition: opacity 0.3s ease; /* Adicionando uma transição para a mudança suave de opacidade */
}

.reer{
  color: aliceblue;
}

.node-label-2 span {
  background-color: transparent;
  transform: translateX(calc(50% + 20px));
  font-family: "Space Mono", monospace;
  font-weight: bold;
  display: block;
  padding: 1px 4px;
  border-radius: 50px;
}






.group-0:hover,
.group-2:hover,
.group-5:hover {
  pointer-events: all !important; /* Durante o hover */
  opacity: 1 !important;
  cursor: pointer;
}



.node-label.temporary-active {
  pointer-events: all !important;
  cursor: pointer !important;
  font-size: 12.5px !important;
 
}

.node-label.temporary-active:hover {
  opacity: 1 !important;
  font-size: 17px !important;
}

/* 

.group-3{
 pointer-events: all;
 user-select: all;
}

.group-3:hover {
  color: yellow !important;
  pointer-events: all;
  user-select: all;
 }
 
 */

.group-7 {
  opacity: 1 !important;
}

.group-8 {
  opacity: 1 !important;
}



.group-4 {
  opacity: 0.3 ;
  cursor: pointer;
  pointer-events: all;
  user-select: all;
}

.group-4:hover {
 color: yellow !important;
 font-size: 1.5vw !important;
 cursor: pointer;
 pointer-events: all;
 user-select: all;
}


.highlight,
.show-g0 .highlight,
.show-91 .highlight,
.show-g2 .highlight {
  opacity: 1 !important;
}
.show-g0.highlight .group-0 {
  opacity: 1 !important;
}

.show-g1.highlight .group-1 {
  opacity: 1 !important;
}

.show-g2.highlight .group-2 {
  opacity: 1 !important;
}




#tooltip {
  display: none;
  position: absolute;
  color: aqua;
  background:  black;
  border: 1px solid aqua;
  padding: 10px;
  z-index: 1;
  font-family: "suisse-bold";
  font-size: 1vw;
  width: 35vw;
  left: 5vw;
}

#tooltip1 {
  display: none;
  position: absolute;
  color: aqua;
  background:  black;
  border: 1px solid aqua;
  padding: 10px;
  z-index: 1;
  font-family: "suisse-bold";
  font-size: 1vw;
  width: 35vw;
  left: 5vw;
}

#tooltip2 {
  display: none;
  position: absolute;
  color: aqua;
  background:  black;
  border: 1px solid aqua;
  padding: 10px;
  z-index: 1;
  font-family: "suisse-bold";
  font-size: 1vw;
  width: 35vw;
left: 5vw;
}
#hj{
  z-index: -3;
}


  .logos{
    width: 100%;
    bottom: 2%;
    display: flex;
    flex-direction: row;
   position: absolute;
   z-index: 1;
   gap: 20px;
   justify-content: center;
   align-items: flex-end;
   pointer-events: none;
   user-select: none;
   opacity: 80%;
  
  }
  
  .logoo {
  width: 5vw;
    bottom: 2%;
}

#l1, #l3 {
   width: 5.7vw;  
   
}

@media screen and (max-width: 1100px) {
  #l1, #l3 {
    width: 5.2vw;  
    
 }
}

.l8{
  width: 9vw;
}
.yu{
  width: 7vw;
}


#yyu {
  display: flex;
  
}

.hamburger-icon{
 
  display: none;
}
@media screen and (max-width: 830px) {
  .logos {
    display: flex;
    flex-wrap: wrap; /* Permite quebrar para a próxima linha */
    justify-content: center; /* Centraliza as imagens */
 /* Ajusta a distância da parte inferior */
  }
  .logos {
    gap: 15px; /* Menor espaçamento entre as imagens */
    bottom: 10%;
     /* Ajusta a distância da parte inferior */
  }
#l6{
  max-width: 20vw;
}

.l8{
  max-width: 10vw;
}
  .logoo {
    width: 5vw; /* Mantém o tamanho das imagens */
  }

  /* Garante que as imagens se organizem em 3 por linha */
  .logos img {
    /* flex: 1 0 25%;*/
    flex:  8%; 
    margin: 5px;
  }
ul{
flex-direction: column;


}

nav{
  height: 20vh;
  margin-top: 27vh;
  margin-left: 3vw;
  flex-direction: column;
}

#yyu{
  margin-top: -3vh;
  margin-left: -15vw;
  visibility: hidden;
  gap: 50px;
}


.hamburger-icon {
  filter: url(#glow);
  width: 2vw;
  pointer-events: all;
  font-size: 15vw;
  background: none;
  border: none;
  cursor: pointer;
  color: aliceblue;
  display: flex;
  margin-left: 20vw;
  margin-top: 35vw;
}



.node-label {
  font-size: 20px;
  user-select: none;
  opacity: 0;
  font-family: "AllianceNo1";
  font-weight: medium;
  
}



.group-4:hover {
  color: yellow !important;
  font-size: 5vw !important;
  cursor: pointer;
  pointer-events: all;
  user-select: all;
 }

 .node-label.group-4{
  cursor: pointer;
  pointer-events: all;
  user-select: all;
  font-size: 5vw;
}
}



  .scene-nav-info {
    display: none;

  }
  

  /* nav */
/* Overlay que cobre toda a tela */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5); /* Fundo semi-transparente */
  backdrop-filter: blur(5px); /* Efeito de desfoque no fundo */
  z-index: -2;/* Certifique-se de que o overlay está abaixo do menu */
  pointer-events: none;
  transition: opacity 2s ease-in-out, visibility 0s linear 0.5s;
  
}

.overlay1 {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.806); /* Fundo semi-transparente */
  backdrop-filter: blur(5px); /* Efeito de desfoque no fundo */
  z-index: -1;/* Certifique-se de que o overlay está abaixo do menu */
  pointer-events: none;
  transition: opacity 1s ease-in-out, visibility 0s linear 0.5s;
  display: none;
}



#search-input:focus {
  border-color: #1ae3de; /* Mantém a mesma borda ao clicar */
  outline: none; /* Remove borda branca/preta padrão ao clicar */
}

.nav ul {
  display: flex;
  flex-direction: column;
  padding-left: 0;
}

.nav li {
  position: relative;
  cursor: pointer;
  list-style-type: none;
}

.nav li > ul {
  position: absolute;
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s, opacity 0.5s ease-in-out;
  gap: 0;

}

.nav li.active > ul {
  visibility: visible;
  opacity: 1;
  transition-delay: 0s;
}

#bubu{
  overflow-y: scroll;
  overflow-x: hidden;
  height: 63vh;
  scrollbar-color: #1ae3de transparent;
  scrollbar-width: 2px;
  font-size: 1.2vw;
}

#bubu .menuitem {
  width: 24vw;
}

#bibu {
  overflow-y: scroll;
  overflow-x: hidden;
  height: 37vh;
  scrollbar-color: #1ae3de transparent;
  scrollbar-width: 2px;
  font-size: 1.2vw;
  
}


#bibu .menuitem {

  width: 24vw;
  
}


#bibi {
  overflow-y: scroll;
  overflow-x: hidden;
  height: 76vh;
  scrollbar-color: #1ae3de transparent;
  scrollbar-width: 2px;
  font-size: 1.2vw;
}


#bibi .menuitem {

  width: 24vw;
}

#babu {
  overflow-y: scroll;
  overflow-x: hidden;
  height: 50vh;
  scrollbar-color: #1ae3de transparent;
  scrollbar-width: 2px;
  font-size: 1.2vw;
}


#babu .menuitem {

  width: 24vw;
}



#bubu::-webkit-scrollbar {
  width: 2px;
  background-color: transparent;
}

#bubu::-webkit-scrollbar-thumb {
  background-color: #1ae3de;
}

#bibu::-webkit-scrollbar {
  width: 2px;
  background-color: transparent;
}

#bibu::-webkit-scrollbar-thumb {
  background-color: #1ae3de;
}

#bibi::-webkit-scrollbar {
  width: 2px;
  background-color: transparent;
}

#bibi::-webkit-scrollbar-thumb {
  background-color: #1ae3de;
}

#babu::-webkit-scrollbar {
  width: 2px;
  background-color: transparent;
}

#babu::-webkit-scrollbar-thumb {
  background-color: #1ae3de;
}



.nav > ul > li {
  pointer-events: all;
}

ul li a {
  white-space: nowrap;
  display: block;
}

.nav > ul > li ul ul {
  transform: translateX(100%);
  top: 0;
  right: 0;
}

.nav a {
  /*background-color: rgba(0, 190, 190, 0.148); */
  background-color: black;
  border: 2px solid rgba(0, 190, 190, 1);
  color: #4be3da;
  min-width: 190px;
  transition: 0.5s, color 0.5s, transform 0.5s;
  margin: 0px 6px 6px 0px;
  padding: 20px 40px;
  box-sizing: border-box;
  position: relative;
  font-family: "Space Mono", monospace;
  font-weight: bold;
  text-transform: uppercase;
  height: 12vh;
}


/* Estilo para quando o item está ativo dentro de #babu, #bibi, #bibu, #bubu */
#babu a.active, #bibi a.active, #bibu a.active, #bubu a.active {
  background-color: rgb(24, 70, 70);
  /* Ajusta o texto para melhor contraste */
}

/* Estilo para submenus dentro das listas específicas */
#babu li.active a, #bibi li.active a, #bibu li.active a, #bubu li.active a {
  background-color: rgb(24, 70, 70);

}

.nav .bb {
  background: transparent;
  color: transparent;
  min-width: 30px;
  transition: 0.5s, color 0.5s, transform 0.5s;
  margin: 0px 6px 6px 0px;
  padding: 20px 40px;
  box-sizing: border-box;
  position: relative;
}

.nav a:hover:before {
  content: '';
  top: 0;
  left: 0;
  position: absolute;
   /*background: rgba(0, 0, 0, 0.2); */
  background: rgba(0, 255, 255, 0.283);
  width: 100%;
  height: 100%;
}

.nav > ul > .menuitem > a + ul:after {
  content: '';
  position: absolute;
  border: 10px solid transparent;
  left: 12px;
  top: 5%;
}

/* Adiciona o triângulo dentro do <a> */
/* Estilo do triângulo para os itens de menu com submenus */
.nav .menuitem > a::after {
  content: '';
  display: inline-block;
  margin-left: 8px;
  width: 0;
  height: 0;
  border-top: 6px solid transparent;
  border-bottom: 6px solid transparent;
  border-left: 6px solid #4be3da; /* Cor do triângulo */
  opacity: 0; /* Triângulo escondido inicialmente */
  transition: opacity 0.5s ease; /* Animação suave */
}

/* Quando o item de menu é clicado (active), exibe o triângulo */
.nav .menuitem.active > a::after {
  opacity: 1; /* Torna o triângulo visível */
  transition-delay: 0.2s; 
  margin-top: 2vh;/* Animação opcional */
}

#gh{
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 5px;
}


.nav > ul > .menuitem.active > ul > .menuitem,
.nav > ul > .menuitem.active > ul > .menuitem {
  transform: translateY(0%);
  opacity: 1;
  visibility: visible;
  transition-delay: 0s;
}

.menuitem > ul > .menuitem > ul > .menuitem {
  transition: transform 0.6s, opacity 0.6s, visibility 0s 0.6s;
  transform: translateX(195px) translateY(0%);
  opacity: 0;
  visibility: hidden;
}

.menuitem > ul > .menuitem.active > ul > .menuitem,
.menuitem > ul > .menuitem.active > ul > .menuitem {
  transform: translateX(0) translateY(0%);
  opacity: 1;
  visibility: visible;
  transition-delay: 0s;
}

.nav ul {
  right: 35vw;
}

 
  
  #search-container {
    position: relative;
   
   
  }
  
  .search-btn {
    display: flex;
    align-items: center;
    cursor: pointer;
    padding-bottom: 0;
    text-decoration: none;
  }
  
  #search-input {
    pointer-events: all;
    position: relative;
    width: 15vw;
    height: 5.5vh;
    font-family: "Space Mono", monospace;
    text-transform: uppercase;
    font-weight: bolder;
    border: 1px solid #1ae3de;
    background-color: #1ae3;
    color: #1ae3de;
    border-radius: 10px;
    display: block; /* Sempre visível */
    z-index: 99;
  }
  
  /* Estilo para o placeholder */
#search-input::placeholder {
  color: #1ae3de;
  font-family: "Space Mono", monospace;
    text-transform: uppercase;
    font-weight: bolder;

}

  
  .botaoprocura {
    padding: 0;
    margin: 0;
    list-style-type: none;
  }
  
  .botaoprocura .menuitem {
    display: block;
  }
  
  .botaoprocura .menuitem a {
    display: block;
 
    text-decoration: none;
  }
  

    #resetCameraIcon {
      position: fixed;
      right: 11vw;
      top: 15vh;
      font-size: 5vw;
      display: none; 
      font-weight: bold;
      cursor: pointer;
      color: white;
      filter: url(#glow);
      padding: 10px;
      z-index: 1; /* Para garantir que fique acima de outros elementos */
    }
    #resetCameraIcon:hover {
      color: #1ae3de;
    }

   .show{
    margin-top: 2vw;
   }
    #search-input{
      pointer-events: all;
    }

    #oioi{
      position: absolute;
      display: none;
    }


    #mm{
      font-size: 1.2vw;
    }





.lado-esquerdo1, .lado-direito1 {
  width: 50%;
  height: 100%;
  overflow-y: scroll;
  overflow-x: hidden;
  scrollbar-color: #1ae3de transparent;
  scrollbar-width: 2px;

}


.lado-direito1::-webkit-scrollbar {
  width: 2px;
  background-color: transparent;
}

.lado-direito1::-webkit-scrollbar-thumb {
  background-color: #1ae3de;
}


.titulo1{
  font-size: 1.4vw;
  width: 20vw;
  font-weight: bold;  
  margin-left: 10%;
  margin-top: 15%;
  
 }

 .titulo3{
  font-size: 1.4vw;
  width: 40vw;
  font-weight: bold;  
  margin-left: 10%;
  margin-top: 5%;
  
 }

 .tt1{
  margin-top: 5%;
  width: 40vw;
  font-size: 1.2vw;
  margin-left: 10%;
  line-height: 1.6;
  margin-bottom: 10%;
 }


 .tt2{
  margin-top: -4%;
  width: 40vw;
  font-size: 1.2vw;
  margin-left: 10%;
  line-height: 1.6;
  margin-bottom: 10%;
 }


    
    /* Estilos para telas menores (mobile-first) */
/* Estilo para dispositivos móveis */
@media (max-width: 830px) {



  .tt1{
    margin-top: 5%;
    width: 70vw;
    font-size: 4vw;
    margin-left: 10%;
    line-height: 1.6;
    margin-bottom: 10%;
   }
  
   .tt2{
    margin-top: 2%;
    width: 70vw;
    font-size: 4vw;
    margin-left: 10%;
    line-height: 1.6;
    margin-bottom: 10%;
   }
  
  .titulo1{
    font-size: 7vw;
    width: 70vw;
    font-weight: bold;  
    margin-left: 10%;
    margin-top: 15%;
    
   }

   .titulo3{
    font-size: 7vw;
    width: 70vw;
    font-weight: bold;  
    margin-left: 10%;
    margin-top: 5%;
    
   }


  #tooltip {
    width: 50vw;
    height: fit-content;
    font-size: 2.5vw;
    display: none;
    position: absolute;
    color: aqua;
    background:  rgba(6, 77, 77, 0.511);
    border: 1px solid aqua;
    padding: 10px;
    z-index: 100000000000000000000000;
  }
  
  #tooltip1 {
    font-size: 2.5vw;
    height: fit-content;
    width: 50vw;
    bottom: 0;
    display: none;
    position: absolute;
    color: aqua;
    background:  rgba(6, 77, 77, 0.511);
    border: 1px solid aqua;
    padding: 10px;
    z-index: 100000000000000000000000;
  }
  
  #tooltip2 {
    width: 50vw;
    font-size: 2.5vw;
    height: fit-content;
    display: none;
    position: absolute;
    color: aqua;
    background:  rgba(6, 77, 77, 0.511);
    border: 1px solid aqua;
    padding: 10px;
    z-index: 100000000000000000000000;
  }
  
  
  .nav > ul > li ul ul {
    transform: translateX(5%);
    top: 0;
    right: 0;
}

.nav li > ul {
  position: sticky;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s ease;
  max-height: 0; /* Inicialmente escondido */
  overflow: hidden; /* Evita que o conteúdo "vaze" */
}

.nav li.active > ul {
  visibility: visible;
  opacity: 1;
  max-height: 200vh; /* Define uma altura suficiente para os submenus */
}

#bibu {
  overflow-y: scroll;
  overflow-x: hidden;
  height: 26vh;
  scrollbar-color: #1ae3de transparent;
  scrollbar-width: 2px;
  font-size: 4.4vw;
  
}
#bibu .menuitem {
  width: 83vw;
}

#bibi {
  overflow-y: scroll;
  overflow-x: hidden;
  height: 26vh;
  scrollbar-color: #1ae3de transparent;
  scrollbar-width: 2px;
  font-size: 4.4vw;
}

#bibi .menuitem {
  width: 83vw;
}

#babu {
  overflow-y: scroll;
  overflow-x: hidden;
  height: 26vh;
  scrollbar-color: #1ae3de transparent;
  scrollbar-width: 2px;
  font-size: 4.4vw;
}
#babu .menuitem {
  width: 83vw;
}
#bubu{
  overflow-y: scroll;
  overflow-x: hidden;
  height: 26vh;
  scrollbar-color: #1ae3de transparent;
  scrollbar-width: 2px;
  font-size: 4.4vw;
}

#bubu .menuitem {
  width: 83vw;
}

.show {
  margin-top: 15vw;
  margin-left: -32vw;
}


#search-input {
  pointer-events: all;
  position: relative;
  width: 75vw;
  height: 8vh;
  border: 1px solid #1ae3de;
  background-color: #1ae3;
  color: #1ae3de;
  border-radius: 10px;
  display: block; /* Sempre visível */
  z-index: 99;
}

#mm{
  font-size: 7vw;
}

#search-input {
  font-size: 8vw; /* Define o tamanho da fonte para o texto digitado */
  height: 12vw;
}

#search-input::placeholder {
  font-size: 8vw; /* Define o tamanho da fonte para o texto do placeholder */
}

.nav .menuitem > a::after {
  content: '';
  display: inline-block;
  margin-left: 10px;
  width: 0;
  height: 0;
  border-top: 12px solid transparent;
  border-bottom: 12px solid transparent;
  border-left: 12px solid #4be3da; /* Cor do triângulo */
  opacity: 0; /* Triângulo escondido inicialmente */
  transition: opacity 0.5s ease; /* Animação suave */
}

#resetCameraIcon {
  position: fixed;
  right: 16vw;
  top: 25vh;
  font-size: 22vw;
  display: none; 
  font-weight: bolder;
  cursor: pointer;
  color: white;
  filter: url(#glow);
  padding: 10px;
  z-index: 1; /* Para garantir que fique acima de outros elementos */
}

.nav a {
  /*background-color: rgba(0, 190, 190, 0.148); */
  background-color: black;
  border: 4px solid rgba(0, 190, 190, 1);
  color: #4be3da;
  min-width: 120px;
  transition: 0.5s, color 0.5s, transform 0.5s;
  margin: 0px 6px 6px 0px;
  padding: 20px 40px;
  box-sizing: border-box;
  position: relative;
  font-family: "Space Mono", monospace;
  font-weight: bold;
  text-transform: uppercase;
  height: 11vh;
}

.menuitem {

  width: 96vw;
}


}




